#include "K34ScamperChargeableInteraction.h"
#include "Net/UnrealNetwork.h"

void UK34ScamperChargeableInteraction::OnRep_CurrentPhase()
{

}

void UK34ScamperChargeableInteraction::OnDashingTimeoutTimerDone()
{

}

void UK34ScamperChargeableInteraction::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK34ScamperChargeableInteraction, _currentPhase);
}

UK34ScamperChargeableInteraction::UK34ScamperChargeableInteraction()
{
	this->_currentPhase = EScamperPhase::Completed;
	this->_chainVaultDetectionRange = 90.000000;
	this->_chainVaultSweepRadius = 60.000000;
	this->_cameraTransitionToThirdPersonViewDuration = 1.000000;
	this->_availabilityGracePeriodAfterScamper = 1.000000;
	this->_cancelCooldownTime = 1.000000;
}
